Summary   	: Devfsd provides configurable management of device nodes using the Linux Device Filesystem.
Name	  	: devfsd
Version	  	: 1.3.11 
Release	  	: 6.0.1.%{_hhl_build_id}
Source	  	: http://www.atnf.csiro.au/~rgooch/linux/devfsd-v1.3.11.tar.gz
Source1		: devfsd-LICENSE
Source2: devfsd.tmpl
Source3: mvl-perms
Patch		: devfsd_1.3.11-7.diff.gz
Patch1		: devfsd-v1.3.11-makefile.patch
Patch2		: devfsd-initd.diff
License 	: GPL 
Group	  	: admin
Buildroot 	: %{_tmppath}/%{name}-%{_hhl_target_arch}-root
Prefix	  	: %{_hhl_cross_target_dir}
%define _docdir         %{_hhl_cross_target_dir}%{_hhl_target_doc_dir}

#
#	SRPM
#
Obsoletes : hhl-target-devfsd
Obsoletes : hhl-%{_hhl_target_arch}-devfsd

%description

This daemon sets up the /dev filesystem for use. It creates required
symbolic links in /dev and also creates (if so configured, as is the
default) symbolic links to the "old" names for devices.

#
#	RPM
#


%prep

%target_check

%setup -n devfsd
%patch0 -p1
%patch1 -p1
%patch2 -p1


%build
%target_setup

make


%install
%target_setup
rm -rf %{buildroot}

mkdir -p %{buildroot}%{_hhl_cross_target_dir}{%{_hhl_target_man_dir}/man{8,5},%{_hhl_target_sysconf_dir}/devfs,/sbin}
mkdir -p %{buildroot}%{_hhl_cross_target_dir}%{_hhl_target_sysconf_dir}/devfs/{symlinks.d,devices.d}
mkdir -p %{buildroot}%{_hhl_cross_target_dir}%{_hhl_target_sbin_dir}
mkdir -p %{buildroot}%{_hhl_cross_target_dir}/etc/init.d

install -m 755 devfsd %{buildroot}%{_hhl_cross_target_dir}/sbin/devfsd
install -m 644 devfsd.8 %{buildroot}%{_hhl_cross_target_dir}%{_hhl_target_man_dir}/man8/devfsd.8
install -m 644 devfsd.conf %{buildroot}%{_hhl_cross_target_dir}%{_hhl_target_sysconf_dir}/devfs/devfsd.conf

#install -m 644 debian/perms_devfsd_list %{buildroot}%{_hhl_cross_target_dir}%{_hhl_target_sysconf_dir}/devfs/perms
#echo "# Format: REGISTER device PERMISSIONS user.group mode" > %{buildroot}%{_hhl_cross_target_dir}%{_hhl_target_sysconf_dir}/devfs/perms
cp %{SOURCE3} %{buildroot}%{_hhl_cross_target_dir}%{_hhl_target_sysconf_dir}/devfs/perms
touch %{buildroot}%{_hhl_cross_target_dir}%{_hhl_target_sysconf_dir}/devfs/symlinks
touch %{buildroot}%{_hhl_cross_target_dir}%{_hhl_target_sysconf_dir}/devfs/devices
touch %{buildroot}%{_hhl_cross_target_dir}%{_hhl_target_sysconf_dir}/devfs/symlinks.d/devfsd
touch %{buildroot}%{_hhl_cross_target_dir}%{_hhl_target_sysconf_dir}/devfs/dir.conf
install -m 644 debian/devices.devfsd %{buildroot}%{_hhl_cross_target_dir}%{_hhl_target_sysconf_dir}/devfs/devices.d/devfsd
install -m 755 debian/update-devfsd %{buildroot}%{_hhl_cross_target_dir}%{_hhl_target_sbin_dir}/update-devfsd

#install -m 644 debian/symlinks.default %{buildroot}%{_hhl_cross_target_dir}%{_hhl_target_sysconf_dir}/devfs/symlinks
#install -m 644 debian/symlinks.devfsd %{buildroot}%{_hhl_cross_target_dir}%{_hhl_target_sysconf_dir}/devfs/symlinks.d/devfsd

install -m 755 debian/init.d %{buildroot}%{_hhl_cross_target_dir}/etc/init.d/devfsd

install -m 644 debian/update-devfsd.8 %{buildroot}%{_hhl_cross_target_dir}%{_hhl_target_man_dir}/man8/
install -m 644 debian/devfsd.conf.5 %{buildroot}%{_hhl_cross_target_dir}%{_hhl_target_man_dir}/man5/

cp %{SOURCE1} LICENSE

gzip -v9 %{buildroot}%{_hhl_cross_target_dir}%{_hhl_target_man_dir}/man?/*

install -d %{buildroot}%{_hhl_cross_target_dir}%{_hhl_target_lib_dir}/pml/packages
export HHL_TOOL_PREFIX=%{_hhl_target_toolprefix}
genpkgdesc %{buildroot}%{_hhl_cross_target_dir} %{SOURCE2} > %{buildroot}%{_hhl_cross_target_dir}%{_hhl_target_lib_dir}/pml/packages/devfsd

%clean
rm -rf %{buildroot}

%post -n devfsd
%target_script_prefix_setup
# Register the service
(%{_hhl_target_toolprefix}initdconfig --add devfsd) &> /dev/null \
	|| echo "Unable to enable initd service: devfsd"

%files -n devfsd
%defattr(-,root,root)
%dir %{_hhl_cross_target_dir}%{_hhl_target_sysconf_dir}/devfs
%dir %{_hhl_cross_target_dir}%{_hhl_target_sysconf_dir}/devfs/symlinks.d
%dir %{_hhl_cross_target_dir}%{_hhl_target_sysconf_dir}/devfs/devices.d

%{_hhl_cross_target_dir}/sbin/devfsd
%{_hhl_cross_target_dir}%{_hhl_target_sbin_dir}/update-devfsd
%doc LICENSE
%doc %{_hhl_cross_target_dir}%{_hhl_target_man_dir}/man8/devfsd.8.gz
%doc %{_hhl_cross_target_dir}%{_hhl_target_man_dir}/man5/devfsd.conf.5.gz
%doc %{_hhl_cross_target_dir}%{_hhl_target_man_dir}/man8/update-devfsd.8.gz
%config %{_hhl_cross_target_dir}%{_hhl_target_sysconf_dir}/devfs/devfsd.conf
%config %{_hhl_cross_target_dir}%{_hhl_target_sysconf_dir}/devfs/perms
%config %{_hhl_cross_target_dir}%{_hhl_target_sysconf_dir}/devfs/symlinks
%config %{_hhl_cross_target_dir}%{_hhl_target_sysconf_dir}/devfs/devices
%config %{_hhl_cross_target_dir}%{_hhl_target_sysconf_dir}/devfs/dir.conf
%config %{_hhl_cross_target_dir}%{_hhl_target_sysconf_dir}/devfs/symlinks.d/devfsd
%config %{_hhl_cross_target_dir}%{_hhl_target_sysconf_dir}/devfs/devices.d/devfsd
%config %{_hhl_cross_target_dir}/etc/init.d/devfsd

%{_hhl_cross_target_dir}%{_hhl_target_lib_dir}/pml/packages/devfsd


%changelog
* Thu Dec 18 2003 Corey Minyard <cminyard@mvista.com>
- Added our own perms file for LSB compliance.
* Fri Apr 20 2001 Automated script (run by Steve Kinneberg <skinneberg@mvista.com>)
- Added TCT package description files
* Tue Mar 06 2001 Jeremy Puhlman <jpuhlman@mvista.com>
- first-cut hhl spec file




